com.sun.tdk.specdiff.html.stat

## Class DocumentStatGroup

- java.lang.Object
- - com.sun.tdk.specdiff.html.stat.DocumentStatGroup

- All Implemented Interfaces:
    java.io.Serializable

      public class DocumentStatGroup
      extends java.lang.Object
      implements java.io.Serializable

  Statistics group VO Not thread safe!
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentStatGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NamedStatItem` | `addItem(java.lang.String name)` Creates new NamedStatItem if it doesn't exist
    `boolean` | `equals(java.lang.Object obj)`
    `NamedStatItem` | `getItem(java.lang.String name)` Returns NamedStatItem by name
    `java.util.Collection<NamedStatItem>` | `getItems()` Returns unmodified collection of NamedStatItem
    `java.lang.String` | `getName()`
    `int` | `hashCode()`
    `boolean` | `hasItem(java.lang.String name)` Returns `true` if named NamedStatItem is added to `map`
    `void` | `setName(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentStatGroup

          public DocumentStatGroup()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getItems

          public java.util.Collection<NamedStatItem> getItems()

      Returns unmodified collection of NamedStatItem

    - #### addItem

          public NamedStatItem addItem(java.lang.String name)

      Creates new NamedStatItem if it doesn't exist
      Throws:
        `java.lang.IllegalStateException` - is it's already added

    - #### getItem

          public NamedStatItem getItem(java.lang.String name)

      Returns NamedStatItem by name
      Throws:
        `java.lang.NullPointerException` - if it doesn't exist

    - #### hasItem

          public boolean hasItem(java.lang.String name)

      Returns `true` if named NamedStatItem is added to `map`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`